<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): /home/mohamed/code/tigl/src/standard/utils Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e1c3629206a62d7880de84e139cd6012.html">src</a></li><li class="navelem"><a class="el" href="dir_bc49a3b403b59ab508217f3692053f91.html">standard</a></li><li class="navelem"><a class="el" href="dir_dbc0cc34dc50d9fa937ca50c591705e8.html">utils</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">utils Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:tiglMacros_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglMacros_8h.html">tiglUtilsMacros.h</a> <a href="tiglMacros_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglMacros_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">global Macros definitions <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglUtils_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglUtils_8hpp.html">tiglUtils.hpp</a> <a href="tiglUtils_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglUtils_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">miscellanous utility functions for profiling and graph generation <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglUtilsAvailableMemory_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglUtilsAvailableMemory_8cpp.html">tiglUtilsAvailableMemory.cpp</a></td></tr>
<tr class="memdesc:tiglUtilsAvailableMemory_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">compute the available memory in DDR3 <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglUtilsCheckSymmetry_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglUtilsCheckSymmetry_8hpp.html">tiglUtilsCheckSymmetry.hpp</a> <a href="tiglUtilsCheckSymmetry_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglUtilsCheckSymmetry_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">checks consistency of undirected graphs <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglUtilsCountEdges_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglUtilsCountEdges_8hpp.html">tiglUtilsCountEdges.hpp</a> <a href="tiglUtilsCountEdges_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglUtilsCountEdges_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">Counting the number of edges among a certain subset of vertices in a graph. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglUtilsGenerateGraph_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglUtilsGenerateGraph_8cpp.html">tiglUtilsGenerateGraph.cpp</a></td></tr>
<tr class="memdesc:tiglUtilsGenerateGraph_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generating a graph using R-mat and writing it to a file. It also generate 4 partitions for subgraphs. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglUtilsGenUrandom_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglUtilsGenUrandom_8cpp.html">tiglUtilsGenUrandom.cpp</a></td></tr>
<tr class="memdesc:tiglUtilsGenUrandom_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generating random variable(s) that is uniformly distributed between [0, 1]. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglUtilsGetTimeUs_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglUtilsGetTimeUs_8cpp.html">tiglUtilsGetTimeUs.cpp</a></td></tr>
<tr class="memdesc:tiglUtilsGetTimeUs_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">procedure for computing absolute reference time in us <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglUtilsMpiBarrier_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><b>tiglUtilsMpiBarrier.cpp</b></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglUtilsMpiTools_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglUtilsMpiTools_8h.html">tiglUtilsMpiTools.h</a> <a href="tiglUtilsMpiTools_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglUtilsMpiTools_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">MPI definitions. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglUtilsOmpTools_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglUtilsOmpTools_8cpp.html">tiglUtilsOmpTools.cpp</a></td></tr>
<tr class="memdesc:tiglUtilsOmpTools_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">openMP routines <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglUtilsOmpTools_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglUtilsOmpTools_8h.html">tiglUtilsOmpTools.h</a> <a href="tiglUtilsOmpTools_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglUtilsOmpTools_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">openMP routines definitions <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglUtilsPartitionGraph_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglUtilsPartitionGraph_8cpp.html">tiglUtilsPartitionGraph.cpp</a></td></tr>
<tr class="memdesc:tiglUtilsPartitionGraph_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">partitions a graph to subgraphs with equal number of vertices <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglUtilsRegisterTime_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglUtilsRegisterTime_8cpp.html">tiglUtilsRegisterTime.cpp</a></td></tr>
<tr class="memdesc:tiglUtilsRegisterTime_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">a procedure to compute elapsed time <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglUtilsRemoveSelfCycles_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglUtilsRemoveSelfCycles_8hpp.html">tiglUtilsRemoveSelfCycles.hpp</a> <a href="tiglUtilsRemoveSelfCycles_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglUtilsRemoveSelfCycles_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">removing from the graph all length-1 cycles <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Jan 20 2015 16:21:55 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
